// routes/equipmentRoutes.js
const express = require('express');
const router = express.Router();
const equipmentController = require('../controllers/equipmentController');

// สร้างอุปกรณ์ใหม่
router.post('/', equipmentController.createEquipment);

// ดึงข้อมูลอุปกรณ์ทั้งหมด
router.get('/', equipmentController.getAllEquipment);

// ดึงข้อมูลอุปกรณ์จาก ID
router.get('/:id', equipmentController.getEquipmentById);

// อัปเดตข้อมูลอุปกรณ์
router.put('/:id', equipmentController.updateEquipment);

// ลบอุปกรณ์
router.delete('/:id', equipmentController.deleteEquipment);

module.exports = router;
